Skip to main content
GET
/
einvoicing
/
documents
/
{document_id}
/
status
Get Document Status
curl --request GET \
  --url https://api.example.com/einvoicing/documents/{document_id}/status \
  --header 'Authorization: <api-key>'
{
  "document_id": "DOC-20250402-0001",
  "status": "SUCCESS",
  "submission_date": "2025-04-02T07:39:31.815Z",
  "provider_response": "{\"source\":\"avalara\",\"received_at\":\"2025-12-29T12:17:47.791Z\",\"payload\":{\"id\":\"ad110f2d-9d0a-4435-a8ea-a36caaceb8c7\",\"companyId\":\"304382fd-1268-4e7b-86db-a8d51ff309d5\",\"status\":\"Complete\"}}"
}

Documentation Index

Fetch the complete documentation index at: https://spidocs.chargebee.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

document_id
string
required

The unique identifier assigned to the submitted document by the e‑invoicing provider.

Response

Document status retrieved successfully.

document_id
string
required

The unique identifier assigned to the document by the e-invoicing provider.

status
enum<string>
required

The current status of the document submission.

Available options:
ACCEPTED,
FAILED,
SUCCESS,
IN_PROGRESS,
REJECTED,
MESSAGE_ACKNOWLEDGEMENT,
IN_PROCESS,
UNDER_QUERY,
CONDITIONALLY_ACCEPTED,
PAID
submission_date
string<date-time>

Date and time when the document was submitted.

processing_details
object
Example:
{
"errors": [
{
"code": "MISSING_REQUIRED_DATA",
"message": "The request did not contain a required property 'taxAmount'",
"help_url": "https://docs.example.com/errors#MISSING_REQUIRED_PARAMETER"
}
]
}
provider_response
string

JSON string containing an optional array of raw payloads received from the e-invoicing provider that is used for downstream mapping and for audits. The JSON should be an array of objects with the following structure: [{"source": "string", "received_at": "date-time", "payload": {object}}]

Example:

"{\"source\":\"avalara\",\"received_at\":\"2025-12-29T12:17:47.791Z\",\"payload\":{\"id\":\"ad110f2d-9d0a-4435-a8ea-a36caaceb8c7\",\"companyId\":\"304382fd-1268-4e7b-86db-a8d51ff309d5\",\"status\":\"Complete\"}}"

provider_references
string

Optional JSON array of key-value pairs from the e-invoicing provider (e.g. Receipt Message ID, Response Message ID). Format: [{"key": "string", "value": "string"}, ...]

Example:

"[{\"key\":\"Receipt Message ID\",\"value\":\"3ed9530e-f2e8-4733-ace8-f868a5e077eb@einvoicing.sbx.provider.io\"},{\"key\":\"Response Message ID\",\"value\":\"3ed9530e-f2e8-4733-aeffe8-f868a5e077eb@einvoicing.sbx.provider.io\"}]"